Ardour3 Beta2 & Jack

4 replies [Last post]
Smeefer
User offline. Last seen 8 weeks 2 days ago. Offline
Joined: 2011-05-11
Posts:

When I start Ardour3Beta2, I get this message:

[WARNING]: This version of JACK is old - you should upgrade to a newer version that supports jack_port_type_get_buffer_size()

Should I upgrade to Jack2 (1.9.8)? Anyone know how to get that through Synaptic?

Thanks.

seablade
User offline. Last seen 11 hours 34 min ago. Offline
Joined: 2007-01-22
Posts:

Yes and you can't without going to an external PPA.

And of course you should be using IRC or the mailing list to discuss A3, not the forums, which was requested in the first dialog you see in A3 IIRC.

Seablade

chrisg
User offline. Last seen 1 day 2 hours ago. Offline
Joined: 2006-03-27
Posts:

You don't need to upgrade to Jack2, you need the latest version of _either_ jack1 or jack2. Some new capabilities were added to newer versions of Jack that A3 needs.

Jack2 is not and upgrade from Jack1, it is an alternative implementation.

Smeefer
User offline. Last seen 8 weeks 2 days ago. Offline
Joined: 2011-05-11
Posts:

chrisg: Oh ok, I thought Jack2 was an upgrade from Jack1. Thanks for telling me the truth.

seablade: Oops, sorry, I forgot about that rule. Someone should probably delete this forum topic because I made a mistake, talking about A3.

chrisg
User offline. Last seen 1 day 2 hours ago. Offline
Joined: 2006-03-27
Posts:

http://trac.jackaudio.org/wiki/Q_differenc_jack1_jack2